%{!?version:%define version 7.0.0}
%{!?release:%define release 48.4}

%define vdt virtuozzo-devel-tools
%define distro_substitute vzlinux
%define pretty_name OpenVZ release %{version}
%define pretty_fullname %{pretty_name} (%{release})
%define preset_services %(grep '^enable\\|disable' %{SOURCE55} | sed "s,.* ,,g" | tr '\\n' ' ')

Summary:	OpenVZ release files
Name:		openvz-release
Version:        %{version}
Release:        %{release}%{?dist}
License:	GPL
Group:		System Environment/Base
Source1:	%{vdt}.sh
Source10:	RPM-GPG-KEY-Virtuozzo-7
Source22:	NOTICE
Source40:	virtuozzo-excludes
Source50:	openvz.repo
# TODO: Remove Source53 installation in public releases
Source53:	factory.repo
Source55:	01-virtuozzo.preset
Source56:	99-virtuozzo.conf
Source57:	openvz.py
Source58:	openvz.conf
Source59:	update-post
Source60:	ntpdate.logrotate
Source61:	ntpdate.cron
Source62:	ebtables.filter
Source63:	do-upgrade-vz7
ExclusiveArch:	x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	system-release, yum-plugin-priorities, kernel-tools

%description
OpenVZ release meta package

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT/%{_bindir}
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum
%{__mkdir} -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
%{__mkdir} -p $RPM_BUILD_ROOT/usr/
%{__mkdir} -p $RPM_BUILD_ROOT/vz/tmp
%{__mkdir} -p $RPM_BUILD_ROOT/lib/sysctl.d
%{__mkdir} -p $RPM_BUILD_ROOT/%{_libexecdir}

install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_sysconfdir}/pki/rpm-gpg/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT/%{_datadir}/licenses/%{name}
install -m 644 %{SOURCE40} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/virtuozzo-excludes
install -m 644 %{SOURCE50} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/openvz.repo
install -m 644 %{SOURCE53} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d/factory.repo
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/%{vdt}
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system-preset
install -m 644 %{SOURCE55} $RPM_BUILD_ROOT/lib/systemd/system-preset/01-virtuozzo.preset
install -m 644 %{SOURCE56} $RPM_BUILD_ROOT/lib/sysctl.d/99-virtuozzo.conf
mkdir -p $RPM_BUILD_ROOT/usr/lib/yum-plugins
install -m 644 %{SOURCE57} $RPM_BUILD_ROOT/usr/lib/yum-plugins/openvz.py
mkdir -p $RPM_BUILD_ROOT/etc/yum/pluginconf.d
install -m 644 %{SOURCE58} $RPM_BUILD_ROOT/etc/yum/pluginconf.d/openvz.conf
install -m 755 %{SOURCE59} $RPM_BUILD_ROOT/%{_libexecdir}/update-post
install -m 644 %{SOURCE60} $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/ntpdate
install -m 755 %{SOURCE61} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly
install -m 600 %{SOURCE62} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/ebtables.filter
install -m 755 %{SOURCE63} $RPM_BUILD_ROOT/%{_bindir}/do-upgrade-vz7

ln -s openvz-release $RPM_BUILD_ROOT/%{_sysconfdir}/parallels-release
ln -s openvz-release $RPM_BUILD_ROOT/%{_sysconfdir}/virtuozzo-release

%post
# Only on first installation
if [ $1 -eq 1 ]; then
    # Proceed preset services
    for service in %{preset_services}; do
        systemctl preset $service > /dev/null 2>&1
    done
fi
:

%posttrans
[ ! -f %{_sysconfdir}/openvz-release ] && echo "%{pretty_fullname}" > %{_sysconfdir}/openvz-release 2>/dev/null
:

%triggerin -- subscription-manager
conffile="/etc/yum/pluginconf.d/subscription-manager.conf"
if [ -f $conffile ]; then
	sed -i -e "s,^enabled=1,enabled=0,g" $conffile > /dev/null 2>&1
fi
:

%triggerin -- %{distro_substitute}-release
# Substitution for based OS
[ -f /etc/system-release ] && rm -f /etc/system-release
ln -s openvz-release /etc/system-release
if [ -f /etc/openvz-release ]; then
	buildver=`cat /etc/openvz-release | sed -e "s,^.*(,,g" -e "s,)$,,g"`
else
	buildver=%{release}
fi
if [ -f /etc/os-release ]; then
	cat <<EOF > /etc/os-release
NAME="Virtuozzo"
VERSION="%{version}"
ID="virtuozzo"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="%{pretty_name} ($buildver)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:virtuozzoproject:vz:7"
HOME_URL="http://www.virtuozzo.com"
BUG_REPORT_URL="https://bugs.openvz.org/"
EOF
fi
:

%triggerin -- yum
# Add excludes to yum
if ! grep -q 'include=/etc/yum/virtuozzo-excludes' /etc/yum.conf 2>/dev/null; then
    echo 'include=/etc/yum/virtuozzo-excludes' >> /etc/yum.conf
fi
:

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/%{vdt}
%attr(644,root,root) /lib/systemd/system-preset/01-virtuozzo.preset
%attr(644,root,root) /lib/sysctl.d/99-virtuozzo.conf
%ghost %attr(644,root,root) %{_sysconfdir}/openvz-release
%attr(644,root,root) %{_sysconfdir}/virtuozzo-release
%attr(644,root,root) %{_sysconfdir}/parallels-release
%attr(644,root,root) %{_sysconfdir}/pki/rpm-gpg/*
%attr(644,root,root) %config %{_sysconfdir}/yum/virtuozzo-excludes
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/openvz.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum.repos.d/factory.repo
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/yum/pluginconf.d/openvz.conf
%attr(644,root,root) %{_sysconfdir}/logrotate.d/*
%attr(755,root,root) %{_sysconfdir}/cron.weekly/*
%attr(644,root,root) /usr/lib/yum-plugins/*
%dir %attr(1777,root,root) /vz/tmp
%attr(755,root,root) %{_libexecdir}/update-post
%doc %{_datadir}/licenses/%{name}/NOTICE
%attr(600,root,root) %{_sysconfdir}/sysconfig/ebtables.filter
%attr(755,root,root) %{_bindir}/do-upgrade-vz7

%changelog
* Tue Jul 12 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-48.4
- Revert 48.2 patch

* Fri Jul  8 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-48.3
- Disable sendmail and wpa_supplicant services, see #PSBM-49301

* Tue Jul  5 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-48.1
- Fix upgrade to Virtuozzo from repo.virtuozzo.com (#PSBM-49342)

* Wed Jun 29 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-48
- Disabled factory repo

* Thu Jun 09 2016 Konstantin Volkov <wolf@virtuozzo.com>  7.0.0-47
- Increase default priority for factory repo

* Wed Jun 01 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-46
- Fix rpm invocation in do-upgrade-vz7

* Fri May 27 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-45
- Removed comm systemd units from preset

* Thu May 26 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-44
- Added do-upgrade-vz7 script for updating OpenVZ to Virtuozzo (#PSBM-46878)

* Wed May 25 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-43
- Added separate yum plugin

* Tue May 24 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-42
- Disable systemd-readahead-collect, systemd-readahead-drop and
  systemd-readahead-replay services in preset, see #PSBM-47060

* Sat May 21 2016 Denis Silakov <dsilakov@virtuozzo.com>  7.0.0-39
- Split openvz-release out of virtuozzo-release

* Thu Apr 28 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-38
- Enable BUSE mount unit #PSBM-46657

* Tue Apr 26 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-37
- Enable snmpd.service by default, see #PSBM-46520

* Fri Apr 22 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-35
- Force related services to be enabled/disabled: for case when
  them installed before virtuozzo-release

* Thu Apr 21 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-34
- Added ntpdate service and cronjob, see #PSBM-46462

* Wed Apr 20 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-33
- Increase maximum available version to X.99.9999 (99999999)

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-32
- Added vzlicmon.service to default system preset, see #PSBM-46272

* Sat Apr 16 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-31
- Added pdrs and shaman to system preset

* Fri Apr  8 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-30
- Detect installroot from yum

* Wed Mar 30 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.0-29
- Ignore /etc/yum.conf, present in livecd-created 2nd stage, see #PSBM-45612

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-28
- Add eol to release in yum plugin, see #PSBM-45479
- Enable pfcached.service by default, see #PSBM-45215

* Sat Mar 26 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-27
- Implement version-release update in yum plugin, see #PSBM-45390

* Fri Mar 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-26
- Switch back virtuozzo repo, see #PSBM-45201

* Thu Mar 17 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-25
- Switch to factory repo, see #PSBM-45198

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-24
- Enable gpg checks

* Sat Feb 27 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-23
- Disabled factory repo

* Thu Feb 18 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-22
- Enable virtuozzo repo, see #PSBM-44382

* Sat Feb 13 2016 Konstantin Volckov <wolf@odin.com> 7.0.0-21
- Create /vz/tmp temp dir, see #PSBM-44043 , #PSBM-44170

* Mon Dec 21 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-20
- Use priority also for debuginfo, see #PSBM-42487

* Thu Dec 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-19
- Release up for Beta3, see #PSBM-42184

* Wed Dec  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-17
- Change gpg key to Virtuozzo 7 one, see #PSBM-42184

* Fri Oct  9 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-16
- Disable official repos, see #PSBM-39771

* Mon Oct  5 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-15
- Enable factory repo by default, see #PSBM-37921

* Fri Oct  2 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-14
- Remove Cloudlinux repos

* Thu Sep 10 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-13
- Fixed factory repositories, see #PSBM-39326

* Wed Aug 05 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-12
- Changes in URLs in os-release, see #PSBM-35314
- Added iptables-services to autoenable list, see #PSBM-37779

* Mon Jul 27 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-11
- Disable subscription-manager plugin, see #PSBM-35213

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-10
- Fixed distrover in progress, see #PSBM-35168

* Fri Jul 24 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-9
- Fixed mirrorlist links, see #PSBM-35167

* Thu Jul 23 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-8
- Use mirrorlists for virtuozzo repos, see #PSBM-35105

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-6
- Set systemd presets at posttrans, see PSBM-34961

* Wed Jul 22 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-5
- Rename virtuozzo preset to the very-first num, see #PSBM-34961
- Mark /etc/virtuozzo-release as ghost, add it creation to post-install
- Remove firewalld.service from posttrans (wrong code)

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-4
- Added vz-motd service to preset, see #PSBM-34873

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.0-3
- Reworked

* Thu Jul 16 2015 Konstantin Volckov <wolf@odin.com> 7.0.1-1
- Initial build for 7th version
